package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuConfigCollection extends AbstractObjectCollection 
{
    public FeishuConfigCollection()
    {
        super(FeishuConfigInfo.class);
    }
    public boolean add(FeishuConfigInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuConfigCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuConfigInfo item)
    {
        return removeObject(item);
    }
    public FeishuConfigInfo get(int index)
    {
        return(FeishuConfigInfo)getObject(index);
    }
    public FeishuConfigInfo get(Object key)
    {
        return(FeishuConfigInfo)getObject(key);
    }
    public void set(int index, FeishuConfigInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuConfigInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuConfigInfo item)
    {
        return super.indexOf(item);
    }
}